Subject: Re: bug#17392: 24.3.90; cursor blinks faster and faster

From: Lennart Borgman <[email-masked]>
Date: Tue, 13 May 2014 20:50:13 +0200

On Tue, May 13, 2014 at 8:44 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Tue, 13 May 2014 20:25:40 +0200
>> Cc: Michael Heerdegen <[email-masked]>, [email-masked]
>>
>> For me it was difficult to understand the division among threads.
>
> There are no threads involved here, as both the C code which runs the
> timers and the Lisp code run in the same single thread.
>
> On top of that, Michael is working on GNU/Linux, so any w32 threads
> aren't relevant.
>
>> What could be done to make this easier is checking the return value of
>> every single system call.
>
> There are no system calls involved in the code in question.

I really do not know. How about reading keyboard input, mouse events,
frame dito?